PROJECTDIR = `pwd`
LIBUC = /opt/libuc2

HEADERSINSTALLPATH = $(LIBUC_INC_DIR_HEXVIEWER) 
HEADERS += hexviewer.h
LIBSOURCES += hexviewer.c
OBJDIR = obj
BINDIR = bin
OBJECTFILES = $(LIBSOURCES:.c=.o)
OBJECTFILES := $(addprefix $(OBJDIR)/,$(OBJECTFILES))
ARCH = lpc21XX-arm-none-eabi-gcc
ARCHFOLDER = $(LIBUC)/rules/lpc21XX-arm-none-eabi-gcc
TARGET=libhexviewer
LIBUC_INCLUDES=$(LIBUC_INC_DIR_UCSTRINGS_CMD) $(LIBUC_INC_DIR_STREAMDEVICES_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) $(LIBUC_INC_DIR_UCSTRINGS_CMD) 
LIBUC_LIBRARIES=$(LIBUC_LIBS_DIR_UCSTRINGS_CMD) $(LIBUC_LIBS_UCSTRINGS) $(LIBUC_LIBS_DIR_STREAMDEVICES_CMD) $(LIBUC_LIBS_STREAMDEVICES) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) $(LIBUC_LIBS_DIR_UCSTRINGS_CMD) $(LIBUC_LIBS_UCSTRINGS) 
TARGETINSTALLPATH=$(LIBUC_LIBS_DIR_HEXVIEWER)
HEADERSINSTALLPATH=$(LIBUC_INC_DIR_HEXVIEWER)
BSP=generic
include $(ARCHFOLDER)/rules.mk




all:lib
	@echo Code compiled

libclean:
	rm -f $(TARGETINSTALLPATH)/*.a
	rm -f $(HEADERSINSTALLPATH)/*.h
